#!/bin/sh
exec >>$FS_PREFIX/tmp/run/widget_ext.log 2>&1
BASEDIR=$(dirname "$(dirname "$(readlink -f "$0")")"); STORE_IFS=$IFS; IFS='/' path_array=($BASEDIR); IFS=$STORE_IFS; n=${#path_array[@]}
PLUGIN_NAME="${path_array[$n-1]}"
if [ -d /persistfs/plugins_data/$PLUGIN_NAME ]; then              
    DATA_DIR="/persistfs/plugins_data/$PLUGIN_NAME"
elif [ -d /flashdata/plugins_data/$PLUGIN_NAME ]; then            
    DATA_DIR="$FS_PREFIX/flashdata/plugins_data/$PLUGIN_NAME"
else                          
    DATA_DIR=
fi

if [ -f /etc/TZ ]; then
    TZ=`cat /etc/TZ`; export TZ; date +"%d.%m.%Y %T"
else
    date +"%d.%m.%Y %T"
fi
echo "Starting Widget Ext boot..."

restore_cron=`sh $BASEDIR/bin/crontask.sh | grep 'run_widget.sh'`
if [ "$restore_cron" = "" ]; then
    echo "" > $BASEDIR/bin/restore_run_widget.sh
    echo "system run_widget cron not found"
else
    echo "sh $BASEDIR/bin/crontask.sh -run_widget.sh '+$restore_cron'" > $BASEDIR/bin/restore_run_widget.sh
    echo "restore for system run_widget cron created"
fi

fix_enabled="no"
showMemInfo="no"
cleanMemoryThreshold=0
if [ -f $DATA_DIR/settings.properties ]; then
    exec <"$DATA_DIR/settings.properties"
    while true; do
        read key op value
        [ "$key" = "" ] && break
        [ "$key" = "fix_enabled" ] && fix_enabled="$value"
        [ "$key" = "showMemInfo" ] && showMemInfo="$value"
        [ "$key" = "cleanMemoryThreshold" ] && cleanMemoryThreshold="$value"
    done
fi
[ "$cleanMemoryThreshold" = "" ] && cleanMemoryThreshold=0
if [ "$fix_enabled" != "no" ]; then
    echo "fix enabled on boot"
    sh $BASEDIR/bin/mkcron_fix.sh
fi
if [ "$showMemInfo" = "yes" ] || [ "$cleanMemoryThreshold" -gt 0 ]; then
    echo "show memory info enabled on boot"
    sh $BASEDIR/bin/mkcron_meminfo.sh
fi

echo "Widget Ext booted"
