#!/bin/sh
exec >>$FS_PREFIX/tmp/run/widget_ext.log 2>&1
BASEDIR=$(dirname "$(dirname "$(readlink -f "$0")")"); STORE_IFS=$IFS; IFS='/' path_array=($BASEDIR); IFS=$STORE_IFS; n=${#path_array[@]}
PLUGIN_NAME="${path_array[$n-1]}"
if [ -d /persistfs/plugins_data/$PLUGIN_NAME ]; then              
    DATA_DIR="/persistfs/plugins_data/$PLUGIN_NAME"
elif [ -d $FS_PREFIX/flashdata/plugins_data/$PLUGIN_NAME ]; then            
    DATA_DIR="$FS_PREFIX/flashdata/plugins_data/$PLUGIN_NAME"
else                          
    DATA_DIR=
fi

weatherUpdateInterval=60
weatherUpdateCron="10 * * * *"
if [ -f $DATA_DIR/settings.properties ]
then
    exec <"$DATA_DIR/settings.properties"
    while true; do
        read key op value
        [ "$key" = "" ] && break
        [ "$key" = "weatherUpdateInterval" ] && weatherUpdateInterval="$value"
    done
fi

if [ "$weatherUpdateInterval" = "1" ]; then
    weatherUpdateCron="* * * * *"
elif [ "$weatherUpdateInterval" = "15" ]; then
    weatherUpdateCron="*/15 * * * *"
elif [ "$weatherUpdateInterval" = "30" ]; then
    weatherUpdateCron="*/30 * * * *"
elif [ "$weatherUpdateInterval" = "120" ]; then
    weatherUpdateCron="10 */2 * * *"
elif [ "$weatherUpdateInterval" = "180" ]; then
    weatherUpdateCron="10 */3 * * *"
elif [ "$weatherUpdateInterval" = "360" ]; then
    weatherUpdateCron="10 */6 * * *"
fi

[ -d $FS_PREFIX/tmp/cron ] && echo $weatherUpdateInterval >$FS_PREFIX/tmp/cron/interval

sh $BASEDIR/bin/crontask.sh -run_widget.sh -update_weather.sh "+$weatherUpdateCron $BASEDIR/bin/update_weather.sh"

if [ -f /etc/TZ ]; then
    TZ=`cat /etc/TZ`; export TZ; date +"%d.%m.%Y %T"
else
    date +"%d.%m.%Y %T"
fi
echo "Fix cron created"

sh $BASEDIR/bin/update_weather.sh
